<!DOCTYPE HTML PUBLIC "-//W3O//DTD W3 HTML 2.0//EN">
<!-- This collection of hypertext pages is Copyright 1995-7 by Steve Summit. -->
<!-- This material may be freely redistributed and used -->
<!-- but may not be republished or sold without permission. -->
<html>
<head>
<link rev="owner" href="mailto:scs@eskimo.com">
<link rev="made" href="mailto:scs@eskimo.com">
<title>Chapter 24: Pointers To Functions</title>
<link href="sx9b.html" rev=precedes>
<link href="sx10a.html" rel=precedes>
<link href="top.html" rev=subdocument>
</head>
<body>
<H1>Chapter 24: Pointers To Functions</H1>

<p>The pointers we have looked at so far
have all been pointers to various types of data objects,
but it is also possible to have pointers to functions.
Pointers to functions are useful
for approximately the same reasons as pointers to data:
when you want an extra level of indirection,
when you'd like the same piece of code
to call different functions depending on circumstances.
</p><p><a href="sx10a.html" rel=subdocument>24.1 Declaring, Assigning, and Using Function Pointers</a></p>
<p><a href="sx10b.html" rel=subdocument>24.2 What are Function Pointers Good For?</a></p>
<p><a href="sx10c.html" rel=subdocument>24.3 Function Pointers and Prototypes</a></p>
<hr>
<p>
Read sequentially:
<a href="sx9b.html" rev=precedes>prev</a>
<a href="sx10a.html" rel=precedes>next</a>
<a href="top.html" rev=subdocument>up</a>
<a href="top.html">top</a>
</p>
<p>
This page by <a href="http://www.eskimo.com/~scs/">Steve Summit</a>
// <a href="copyright.html">Copyright</a> 1996-1999
// <a href="mailto:scs@eskimo.com">mail feedback</a>
</p>
</body>
</html>
